<?php

use App\Http\Controllers\MedicionController;
use Illuminate\Support\Facades\Route;

Route::redirect('/', '/mediciones');

Route::resource('mediciones', MedicionController::class)
    ->only([
        'index',
        'create',
        'store',
        'destroy',
    ]);


/*
|--------------------------------------------------------------------------
| Exportaciones
|--------------------------------------------------------------------------
*/

// Vista previa de Excel
Route::get(
    '/mediciones/exportar/excel',
    [MedicionController::class, 'previsualizarExcel']
)->name('mediciones.exportar.excel');


// Descargar Excel
Route::get(
    '/mediciones/exportar/excel/descargar',
    [MedicionController::class, 'exportarExcel']
)->name('mediciones.exportar.excel.descargar');


// Visualizar PDF
Route::get(
    '/mediciones/exportar/pdf',
    [MedicionController::class, 'exportarPdf']
)->name('mediciones.exportar.pdf');